/***************************************************************************
                             X - File Renamer                        
                             -------------------
    begin                : Sun Dec 23 2001
    copyright            : (C) 2001 by Deak Peter
    email                : hyperr@freemail.hu
 ***************************************************************************/
#include <qapplication.h>
#include <qpushbutton.h>
#include <qtranslator.h>
#include <qtextcodec.h>
#include <qmessagebox.h> 
#include <stdlib.h>

#include "MainWidget.h"

#define DEFAULT_FONT_SIZE 8

int main( int argc, char **argv )
{
  QApplication app( argc, argv );
  QFont qf("Cronyx-Helvetica",DEFAULT_FONT_SIZE);
  static QTranslator *translator = 0;

#ifdef _WIN32
  QString lang("./rnx_lang.qm");
#else
  QString lang("/usr/local/share/renamer/translations/");
  lang += "rnx_"; 
  lang += QTextCodec::locale();
  lang += ".qm";
#endif
  if ( translator ) {
       qApp->removeTranslator( translator );
       delete translator;
    }
    
  translator = new QTranslator( 0 );
  translator->load( lang, "." );
  qApp->installTranslator( translator );
    
  MainWidget *m = new MainWidget(0,"mainW");
  m->setGeometry( 100, 100, 200, 120 );
  app.setFont(qf,TRUE);
  app.setMainWidget( m );
  m->resize(720,417);
  m->show();

  return app.exec();
}

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
